cdac.medinfo.sdk.hl7282.baselibs.segments

## Class ITM

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.ITM

- All Implemented Interfaces:
    ISegment

      public class ITM
      extends Segment

  ITM - Material Item Segment

  The Material Item segment (ITM) contains information about inventory supply items (stocked or non-stocked).

  Represents an HL7 ITM message segment. This segment has the following fields:

  ITM-1 : Item Identifier(EI) Required
  ITM-2 : Item Description(ST) Optional
  ITM-3 : Item Status(CWE) Optional
  ITM-4 : Item Type(CWE) Optional
  ITM-5 : Item Category(CWE) Optional
  ITM-6 : Subject to Expiration Indicator(CNE) Optional
  ITM-7 : Manufacturer Identifier(EI) Optional
  ITM-8 : Manufacturer Name(ST) Optional
  ITM-9 : Manufacturer Catalog Number(ST) Optional
  ITM-10 : Manufacturer Labeler Identification Code(CWE) Optional
  ITM-11 : Patient Chargeable Indicator (CNE) Optional
  ITM-12 : Transaction Code(CWE) Optional
  ITM-13 : Transaction amount - unit(CP) Optional
  ITM-14 : Stocked Item Indicator(CNE) Optional
  ITM-15 : Supply Risk Codes (CWE) Optional
  ITM-16 : Approving Regulatory Agency (XON) Optional
  ITM-17 : Latex Indicator(CNE) Optional
  ITM-18 : Ruling Act (CWE) Optional
  ITM-19 : Item Natural Account Code(CWE) Optional
  TIM-20 : Approved To Buy Quantity(NM) Optional
  ITM-21 : Approved To Buy Price (MO) Optional
  ITM-22 : Taxable Item Indicator (CNE) Optional
  ITM-23 : Freight Charge Indicator (CNE) Optional
  ITM-24 : Item Set Indicator(CNE) Optional
  ITM-25 : Item Set Identifier(EI) Optional
  ITM-26 : Track Department Usage Indicator(CNE) Optional
  ITM-27 : Procedure Code (CNE) Optional
  ITM-28 : Procedure Code Modifier(CNE) Optional
  ITM-29 : Special Handling Code(CWE) Optional
  ITM-30 : Hazardous Indicator(CNE) Optional
  ITM-31 : Sterile Indicator(CNE) Optional
  ITM-32 : Material Data Safety Sheet Number(EI) Optional
  ITM-33 : United Nations Standard Products and Services Code (UNSPSC) (CWE) Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ITM()` Constructs the ITM segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addApprovingRegulatoryAgency(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Set the Approving Regulatory Agency.
    `void` | `addApprovingRegulatoryAgency(XON objApprovingRegulatoryAgency)` Sets the Approving Regulatory Agency.
    `void` | `addProcedureCodeModifier(CNE objProcedureCodeModifier)` Add the Procedure Code Modifier.
    `void` | `addProcedureCodeModifier(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Adds the Procedure Code Modifier.
    `void` | `addRulingAct(CWE objRulingAct)` Set the Ruling Act.
    `void` | `addRulingAct(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Ruling Act.
    `MO` | `getApprovedToBuyPrice()` Retrieves the Approved To Buy Price.
    `NM` | `getApprovedToBuyQuantity()` Retrieves the Approved To Buy Quantity.
    `ISingleCollection<XON>` | `getApprovingRegulatoryAgency()` Retrieves the Approving Regulatory Agency.
    `CNE` | `getFreightChargeIndicator()` Retrieves the Freight Charge Indicator.
    `CNE` | `getHazardousIndicator()` Retrieves the Hazardous Indicator.
    `CWE` | `getItemCategory()` Retrieves the Item Category.
    `ST` | `getItemDescription()` Retrieves the Item Description.
    `EI` | `getItemIdentifier()` Retrieves the Item Identifier.
    `CWE` | `getItemNaturalAccountCode()` Retrieves the Item Natural Account Code.
    `EI` | `getItemSetIdentifier()` Retrieves the Item Set Identifier.
    `CNE` | `getItemSetIndicator()` Retrieves the Item Set Indicator.
    `CWE` | `getItemStatus()` Retrieves the Item Status.
    `CWE` | `getItemType()` Retrieves the Item Type.
    `CNE` | `getLatexIndicator()` Retrieves the Latex Indicator.
    `ST` | `getManufacturerCatalogNumber()` Retrieves the Manufacturer Catalog Number.
    `EI` | `getManufacturerIdentifier()` Retrieves the Manufacturer Identifier.
    `CWE` | `getManufacturerLabelerIdentificationCode()` Retrieves the Manufacturer Labeler Identification Code.
    `ST` | `getManufacturerName()` Retrieves the Manufacturer Name.
    `EI` | `getMaterialDataSafetySheetNumber()` Retrieves the Material Data Safety Sheet Number.
    `CNE` | `getPatientChargeableIndicator()` Retrieves the Patient Chargeable Indicator.
    `CNE` | `getProcedureCode()` Retrieves the Procedure Code.
    `ISingleCollection<CNE>` | `getProcedureCodeModifier()` Retrieves the Procedure Code Modifier.
    `ISingleCollection<CWE>` | `getRulingAct()` Retrieves the Ruling Act.
    `CWE` | `getSpecialHandlingCode()` Retrieves the Special Handling Code.
    `CNE` | `getSterileIndicator()` Retrieves the Sterile Indicator.
    `CNE` | `getStockedItemIndicator()` Retrieves the Stocked Item Indicator.
    `CNE` | `getSubjectToExpirationIndicator()` Retrieves the Subject to Expiration Indicator.
    `CWE` | `getSupplyRiskCodes()` Retrieves the Supply Risk Codes.
    `CNE` | `getTaxableItemIndicator()` Retrieves the Taxable Item Indicator.
    `CNE` | `getTrackDepartmentUsageIndicator()` Retrieves the Track Department Usage Indicator.
    `CP` | `getTransactionAmountUnit()` Retrieves the Transaction amount - unit.
    `CWE` | `getTransactionCode()` Retrieves the Transaction Code.
    `CWE` | `getUnitedNationsStandardProductsAndServicesCode()` Retrieves the United Nations Standard Products and Services Code (UNSPSC).
    `void` | `setApprovedToBuyPrice(MO objApprovedToBuyPrice)` Set the Approved To Buy Price.
    `void` | `setApprovedToBuyPrice(java.lang.String strQuantity, java.lang.String strDenomination)` Set the Approved To Buy Price.
    `void` | `setApprovedToBuyQuantity(NM objApprovedToBuyQuantity)` Set the Approved To Buy Quantity.
    `void` | `setApprovedToBuyQuantity(java.lang.String strApprovedToBuyQuantity)` Set the Approved To Buy Quantity.
    `void` | `setApprovingRegulatoryAgency(ISingleCollection<XON> objApprovingRegulatoryAgencyList)` Set the Approving Regulatory Agency list.
    `void` | `setFreightChargeIndicator(CNE objFreightChargeIndicator)` Set the Freight Charge Indicator.
    `void` | `setFreightChargeIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Freight Charge Indicator.
    `void` | `setHazardousIndicator(CNE objHazardousIndicator)` Set the Hazardous Indicator.
    `void` | `setHazardousIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Hazardous Indicator.
    `void` | `setItemCategory(CWE objItemCategory)` Set the Item Category.
    `void` | `setItemCategory(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Item Category.
    `void` | `setItemDescription(ST objItemDescription)` Set the Item Description.
    `void` | `setItemDescription(java.lang.String strItemDescription)` Set the Item Description.
    `void` | `setItemIdentifier(EI objItemIdentifier)` Set the Item Identifier.
    `void` | `setItemIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Item Identifier.
    `void` | `setItemNaturalAccountCode(CWE objItemNaturalAccountCode)` Set the Item Natural Account Code.
    `void` | `setItemNaturalAccountCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Item Natural Account Code.
    `void` | `setItemSetIdentifier(EI objItemSetIdentifier)` Set the Item Set Identifier.
    `void` | `setItemSetIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Item Set Identifier.
    `void` | `setItemSetIndicator(CNE objItemSetIndicator)` Set the Item Set Indicator.
    `void` | `setItemSetIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Item Set Indicator.
    `void` | `setItemStatus(CWE objItemStatus)` Set the Item Status.
    `void` | `setItemStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Item Status.
    `void` | `setItemType(CWE objItemType)` Set the Item Type.
    `void` | `setItemType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Item Type.
    `void` | `setLatexIndicator(CNE objLatexIndicator)` Set the Latex Indicator.
    `void` | `setLatexIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Latex Indicator.
    `void` | `setManufacturerCatalogNumber(ST objManufacturerCatalogNumber)` Set the Manufacturer Catalog Number.
    `void` | `setManufacturerCatalogNumber(java.lang.String strManufacturerCatalogNumber)` Set the Manufacturer Catalog Number.
    `void` | `setManufacturerIdentifier(EI objManufacturerIdentifier)` Set the Manufacturer Identifier.
    `void` | `setManufacturerIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Manufacturer Identifier.
    `void` | `setManufacturerLabelerIdentificationCode(CWE objManufacturerLabelerIdentificationCode)` Set the Manufacturer Labeler Identification Code.
    `void` | `setManufacturerLabelerIdentificationCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Manufacturer Labeler Identification Code.
    `void` | `setManufacturerName(ST objManufacturerName)` Set the Manufacturer Name.
    `void` | `setManufacturerName(java.lang.String strManufacturerName)` Set the Manufacturer Name.
    `void` | `setMaterialDataSafetySheetNumber(EI objMaterialDataSafetySheetNumber)` Set the Material Data Safety Sheet Number.
    `void` | `setMaterialDataSafetySheetNumber(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Material Data Safety Sheet Number.
    `void` | `setPatientChargeableIndicator(CNE objPatientChargeableIndicator)` Set the Patient Chargeable Indicator.
    `void` | `setPatientChargeableIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Patient Chargeable Indicator.
    `void` | `setProcedureCode(CNE objprocedureCode)` Set the Procedure Code.
    `void` | `setProcedureCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Procedure Code.
    `void` | `setProcedureCodeModifier(ISingleCollection<CNE> objProcedureCodeModifierList)` Set the Procedure Code Modifier.
    `void` | `setRulingAct(ISingleCollection<CWE> objRulingActList)` Set the Ruling Act list.
    `void` | `setSpecialHandlingCode(CWE objSpecialHandlingCode)` Set the Special Handling Code.
    `void` | `setSpecialHandlingCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Special Handling Code.
    `void` | `setSterileIndicator(CNE objSterileIndicator)` Set the Sterile Indicator.
    `void` | `setSterileIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Sterile Indicator.
    `void` | `setStockedItemIndicator(CNE objStockedItemIndicator)` Set the Stocked Item Indicator.
    `void` | `setStockedItemIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Stocked Item Indicator.
    `void` | `setSubjectToExpirationIndicator(CNE objSubjectToExpirationIndicator)` Set the Subject to Expiration Indicator.
    `void` | `setSubjectToExpirationIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Subject to Expiration Indicator.
    `void` | `setSupplyRiskCodes(CWE objSupplyRiskCodes)` Set the Supply Risk Codes.
    `void` | `setSupplyRiskCodes(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Supply Risk Codes.
    `void` | `setTaxableItemIndicator(CNE objTaxableItemIndicator)` Set the Taxable Item Indicator.
    `void` | `setTaxableItemIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Taxable Item Indicator.
    `void` | `setTrackDepartmentUsageIndicator(CNE objTrackDepartmentUsageIndicator)` Set the Track Department Usage Indicator.
    `void` | `setTrackDepartmentUsageIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Track Department Usage Indicator.
    `void` | `setTransactionAmountUnit(CP objTransactionAmountUnit)` Set the Transaction amount - unit.
    `void` | `setTransactionAmountUnit(MO objPrice, java.lang.String strPriceType, java.lang.String strFromValue, java.lang.String strToValue, CWE objRangeUnits, java.lang.String strRangeType)` Set the Transaction amount - unit.
    `void` | `setTransactionCode(CWE objTransactionCode)` Set the Transaction Code.
    `void` | `setTransactionCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Transaction Code.
    `void` | `setUnitedNationsStandardProductsAndServicesCode(CWE objUnitedNationsStandardProductsAndServicesCode)` Set the United Nations Standard Products and Services Code (UNSPSC).
    `void` | `setUnitedNationsStandardProductsAndServicesCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the United Nations Standard Products and Services Code (UNSPSC).
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ITM

          public ITM()

      Constructs the ITM segment.

  - ### Method Detail

    - #### getItemIdentifier

          public EI getItemIdentifier()

      Retrieves the Item Identifier. The Item Identifier is a unique code assigned to the material item by the Item Inventory Master catalog software application to identify the item.
      Returns:
        EI - itemIdentifier

    - #### getItemDescription

          public ST getItemDescription()

      Retrieves the Item Description. The Item Description is a description of the material item identified in ITM-1.
      Returns:
        ST - itemDescription

    - #### getItemStatus

          public CWE getItemStatus()

      Retrieves the Item Status. The status (useful for reporting and item usage purposes) that applies to an item.
      Returns:
        CWE - itemStatus

    - #### getItemType

          public CWE getItemType()

      Retrieves the Item Type. The Item Type is a classification of material items into like groups as defined and utilized within an Operating Room setting for charting procedures.
      Returns:
        CWE - itemType

    - #### getItemCategory

          public CWE getItemCategory()

      Retrieves the Item Category. The Item Category is a classification of material items into like groups for the purpose of categorizing purchases and reporting within a materials management setting.
      Returns:
        CWE - itemCategory

    - #### getSubjectToExpirationIndicator

          public CNE getSubjectToExpirationIndicator()

      Retrieves the Subject to Expiration Indicator. This field contains an indicator used as a reference to specify whether the item is subject to containing an expiration date.
      Returns:
        CNE - subjectToExpirationIndicator

    - #### getManufacturerIdentifier

          public EI getManufacturerIdentifier()

      Retrieves the Manufacturer Identifier. This field identifies the identifying code of the manufacturer of the item.
      Returns:
        EI - manufacturerIdentifier

    - #### getManufacturerName

          public ST getManufacturerName()

      Retrieves the Manufacturer Name. This field identifies the name of the manufacturer of the manufacturer identified in ITM-7.
      Returns:
        ST - manufacturerName

    - #### getManufacturerCatalogNumber

          public ST getManufacturerCatalogNumber()

      Retrieves the Manufacturer Catalog Number. This field contains the catalog assigned to the item by the manufacturer.
      Returns:
        ST - manufacturerCatalogNumber

    - #### getManufacturerLabelerIdentificationCode

          public CWE getManufacturerLabelerIdentificationCode()

      Retrieves the Manufacturer Labeler Identification Code. This field contains the Labeler Identification Code (LIC) number assigned to the manufacturer that represents the manufacturer of the item.
      Returns:
        CWE - manufacturerLabelerIdentificationCode

    - #### getPatientChargeableIndicator

          public CNE getPatientChargeableIndicator()

      Retrieves the Patient Chargeable Indicator. This field indicates whether the item is patient chargeable.
      Returns:
        CNE - patientChargeableIndicator

    - #### getTransactionCode

          public CWE getTransactionCode()

      Retrieves the Transaction Code. This field contains the code assigned by the institution for the purpose of uniquely identifying a patient billing code specific for a supply item.
      Returns:
        CWE - transactionCode

    - #### getTransactionAmountUnit

          public CP getTransactionAmountUnit()

      Retrieves the Transaction amount - unit. This field contains the dollar amount charged to patients for this item.
      Returns:
        CP - transactionAmountUnit

    - #### getStockedItemIndicator

          public CNE getStockedItemIndicator()

      Retrieves the Stocked Item Indicator. This field contains an indicator signifying whether the item is stocked in any inventory location in the healthcare organization.
      Returns:
        CNE - stockedItemIndicator

    - #### getSupplyRiskCodes

          public CWE getSupplyRiskCodes()

      Retrieves the Supply Risk Codes. This field contains a code that identifies any known or suspected hazard associated with this material item.
      Returns:
        CWE - supplyRiskCodes

    - #### getApprovingRegulatoryAgency

          public ISingleCollection<XON> getApprovingRegulatoryAgency()

      Retrieves the Approving Regulatory Agency. This field contains a code indicating the regulatory agency the item has been approved by, such as the FDA or AMA.
      Returns:
        ISingleCollection - approvingRegulatoryAgency

    - #### getLatexIndicator

          public CNE getLatexIndicator()

      Retrieves the Latex Indicator. This field contains an indicator signifying whether the item is made of or contains latex.
      Returns:
        CNE - latexIndicator

    - #### getRulingAct

          public ISingleCollection<CWE> getRulingAct()

      Retrieves the Ruling Act. This field contains a code indicating an act containing a rule that the item is legally required to be included in notification reporting.
      Returns:
        ISingleCollection - rulingAct

    - #### getItemNaturalAccountCode

          public CWE getItemNaturalAccountCode()

      Retrieves the Item Natural Account Code. This field contains the expense/natural account number from the general ledger chart of accounts associated with the item.
      Returns:
        CWE - itemNaturalAccountCode

    - #### getApprovedToBuyQuantity

          public NM getApprovedToBuyQuantity()

      Retrieves the Approved To Buy Quantity. This field contains the quantity of this item that can be purchased within a user-defined time frame (e.g., one year) at the order unit of measure.
      Returns:
        NM - approvedToBuyQuantity

    - #### getApprovedToBuyPrice

          public MO getApprovedToBuyPrice()

      Retrieves the Approved To Buy Price. This field contains the dollar limit of this item that you can purchase within a user-defined time frame (e.g., one year).
      Returns:
        NM - approvedToBuyPrice

    - #### getTaxableItemIndicator

          public CNE getTaxableItemIndicator()

      Retrieves the Taxable Item Indicator. This field contains an indicator signifying whether the item is taxable when purchasing the item or issuing the item to patients.
      Returns:
        NM - taxableItemIndicator

    - #### getFreightChargeIndicator

          public CNE getFreightChargeIndicator()

      Retrieves the Freight Charge Indicator. This field contains an indicator signifying whether freight is an allowable charge to be allocated to the line of an invoice containing the item.
      Returns:
        NM - freightChargeIndicator

    - #### getItemSetIndicator

          public CNE getItemSetIndicator()

      Retrieves the Item Set Indicator. This field contains an indicator signifying whether the item is an 'item set' rather than an individual item.
      Returns:
        NM - itemSetIndicator

    - #### getItemSetIdentifier

          public EI getItemSetIdentifier()

      Retrieves the Item Set Identifier. The Item Identifier is a unique code assigned to the material item by the Item Inventory Master catalog software application to identify the item.
      Returns:
        EI - itemSetIdentifier

    - #### getTrackDepartmentUsageIndicator

          public CNE getTrackDepartmentUsageIndicator()

      Retrieves the Track Department Usage Indicator. This field contains an indicator signifying whether the usage figures are tracked for this item by department.
      Returns:
        CNE - trackDepartmentUsageIndicator

    - #### getProcedureCode

          public CNE getProcedureCode()

      Retrieves the Procedure Code. This field contains a unique identifier assigned to the service item, if any, associated with the charge.
      Returns:
        CNE - procedureCode

    - #### getProcedureCodeModifier

          public ISingleCollection<CNE> getProcedureCodeModifier()

      Retrieves the Procedure Code Modifier. This field contains the procedure code modifier to the procedure code reported in ITM-27, Procedure Code, when applicable.
      Returns:
        ISingleCollection - procedureCodeModifier

    - #### getSpecialHandlingCode

          public CWE getSpecialHandlingCode()

      Retrieves the Special Handling Code. This field contains a special handling code to describe special handling considerations for this item.
      Returns:
        CWE - specialHandlingCode

    - #### getHazardousIndicator

          public CNE getHazardousIndicator()

      Retrieves the Hazardous Indicator. This field contains an indicator signifying whether the item contains hazardous material or not.
      Returns:
        CNE - hazardousIndicator

    - #### getSterileIndicator

          public CNE getSterileIndicator()

      Retrieves the Sterile Indicator. This field contains an indicator signifying whether the item is sterile or not.
      Returns:
        CNE - sterileIndicator

    - #### getMaterialDataSafetySheetNumber

          public EI getMaterialDataSafetySheetNumber()

      Retrieves the Material Data Safety Sheet Number. The Material Safety Data Sheet Number is the manufacturer's identification number for the Material Safety Data Sheet (if one exists for the item). A Material Safety Data Sheet contains the characteristics, protected measures, and regulations to follow when handling the item.
      Returns:
        EI - materialDataSafetySheetNumber

    - #### getUnitedNationsStandardProductsAndServicesCode

          public CWE getUnitedNationsStandardProductsAndServicesCode()

      Retrieves the United Nations Standard Products and Services Code (UNSPSC). The United Nations Standard Products and Services Code is the category code assigned by the UNSPSC organization to the item.
      Returns:
        CWE - unitedNationsStandardProductsAndServicesCode

    - #### setItemIdentifier

          public void setItemIdentifier(java.lang.String strEntityIdentifier,
                               java.lang.String strNamespaceId,
                               java.lang.String strUniversalId,
                               java.lang.String strUniversalIdType)

      Set the Item Identifier. The Item Identifier is a unique code assigned to the material item by the Item Inventory Master catalog software application to identify the item.
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setItemIdentifier

          public void setItemIdentifier(EI objItemIdentifier)

      Set the Item Identifier. The Item Identifier is a unique code assigned to the material item by the Item Inventory Master catalog software application to identify the item.
      Parameters:
        `objItemIdentifier` - Object of Item Identifier

    - #### setItemDescription

          public void setItemDescription(java.lang.String strItemDescription)

      Set the Item Description. The Item Description is a description of the material item identified in ITM-1.
      Parameters:
        `strItemDescription` - Used as Item Description.

    - #### setItemDescription

          public void setItemDescription(ST objItemDescription)

      Set the Item Description. The Item Description is a description of the material item identified in ITM-1.
      Parameters:
        `objItemDescription` - Object of Item Description.

    - #### setItemStatus

          public void setItemStatus(java.lang.String strIdentifier,
                           java.lang.String strText,
                           java.lang.String strNameOfCodingSystem,
                           java.lang.String strAlternateIdentifier,
                           java.lang.String strAlternateText,
                           java.lang.String strNameOfAlternateCodingSystem,
                           java.lang.String strCodingSystemVersionID,
                           java.lang.String strAlternateCodingSystemVersionId,
                           java.lang.String strOriginalText,
                           java.lang.String strSecondAlternateIdentifier,
                           java.lang.String strSecondAlternateText,
                           java.lang.String strNameofSecondAlternateCodingSystem,
                           java.lang.String strSecondAlternateCodingSystemVersionID,
                           java.lang.String strCodingSystemOID,
                           java.lang.String strValueSetOID,
                           java.lang.String strValueSetVersionID,
                           java.lang.String strAlternateCodingSystemOID,
                           java.lang.String strAlternateValueSetOID,
                           java.lang.String strAlternateValueSetVersionID,
                           java.lang.String strSecondAlternateCodingSystemOID,
                           java.lang.String strSecondAlternateValueSetOID,
                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Item Status. The status (useful for reporting and item usage purposes) that applies to an item.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setItemStatus

          public void setItemStatus(CWE objItemStatus)

      Set the Item Status. The status (useful for reporting and item usage purposes) that applies to an item.
      Parameters:
        `objItemStatus` - Object of Item Status.

    - #### setItemType

          public void setItemType(java.lang.String strIdentifier,
                         java.lang.String strText,
                         java.lang.String strNameOfCodingSystem,
                         java.lang.String strAlternateIdentifier,
                         java.lang.String strAlternateText,
                         java.lang.String strNameOfAlternateCodingSystem,
                         java.lang.String strCodingSystemVersionID,
                         java.lang.String strAlternateCodingSystemVersionId,
                         java.lang.String strOriginalText,
                         java.lang.String strSecondAlternateIdentifier,
                         java.lang.String strSecondAlternateText,
                         java.lang.String strNameofSecondAlternateCodingSystem,
                         java.lang.String strSecondAlternateCodingSystemVersionID,
                         java.lang.String strCodingSystemOID,
                         java.lang.String strValueSetOID,
                         java.lang.String strValueSetVersionID,
                         java.lang.String strAlternateCodingSystemOID,
                         java.lang.String strAlternateValueSetOID,
                         java.lang.String strAlternateValueSetVersionID,
                         java.lang.String strSecondAlternateCodingSystemOID,
                         java.lang.String strSecondAlternateValueSetOID,
                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Item Type. The Item Type is a classification of material items into like groups as defined and utilized within an Operating Room setting for charting procedures.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setItemType

          public void setItemType(CWE objItemType)

      Set the Item Type. The Item Type is a classification of material items into like groups as defined and utilized within an Operating Room setting for charting procedures.
      Parameters:
        `objItemType` - Object of Item Type.

    - #### setItemCategory

          public void setItemCategory(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionId,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameofSecondAlternateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the Item Category. The Item Category is a classification of material items into like groups for the purpose of categorizing purchases and reporting within a materials management setting.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setItemCategory

          public void setItemCategory(CWE objItemCategory)

      Set the Item Category. The Item Category is a classification of material items into like groups for the purpose of categorizing purchases and reporting within a materials management setting.
      Parameters:
        `objItemCategory` - Object of Item Category.

    - #### setSubjectToExpirationIndicator

          public void setSubjectToExpirationIndicator(java.lang.String strIdentifier,
                                             java.lang.String strText,
                                             java.lang.String strNameOfCodingSystem,
                                             java.lang.String strAlternateIdentifier,
                                             java.lang.String strAlternateText,
                                             java.lang.String strNameOfAlternateCodingSystem,
                                             java.lang.String strCodingSystemVersionID,
                                             java.lang.String strAlternateCodingSystemVersionID,
                                             java.lang.String strOriginalText,
                                             java.lang.String strSecondAlternateIdentifier,
                                             java.lang.String strSecondAlternateText,
                                             java.lang.String strNameOfSecondAltenateCodingSystem,
                                             java.lang.String strSecondAlternateCodingSystemVersionID,
                                             java.lang.String strCodingSystemOID,
                                             java.lang.String strValueSetOID,
                                             java.lang.String strValueSetVersionID,
                                             java.lang.String strAlternateCodingSystemOID,
                                             java.lang.String strAlternateValueSetOID,
                                             java.lang.String strAlternateValueSetVersionID,
                                             java.lang.String strSecondAlternateCodingSystemOID,
                                             java.lang.String strSecondAlternateValueSetOID,
                                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the Subject to Expiration Indicator. This field contains an indicator used as a reference to specify whether the item is subject to containing an expiration date.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setSubjectToExpirationIndicator

          public void setSubjectToExpirationIndicator(CNE objSubjectToExpirationIndicator)

      Set the Subject to Expiration Indicator. This field contains an indicator used as a reference to specify whether the item is subject to containing an expiration date.
      Parameters:
        `objSubjectToExpirationIndicator` - Object of Subject to Expiration Indicator.

    - #### setManufacturerIdentifier

          public void setManufacturerIdentifier(java.lang.String strEntityIdentifier,
                                       java.lang.String strNamespaceId,
                                       java.lang.String strUniversalId,
                                       java.lang.String strUniversalIdType)

      Set the Manufacturer Identifier. This field identifies the identifying code of the manufacturer of the item.
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setManufacturerIdentifier

          public void setManufacturerIdentifier(EI objManufacturerIdentifier)

      Set the Manufacturer Identifier. This field identifies the identifying code of the manufacturer of the item.
      Parameters:
        `objManufacturerIdentifier` - Object of Item Identifier

    - #### setManufacturerName

          public void setManufacturerName(java.lang.String strManufacturerName)

      Set the Manufacturer Name. This field identifies the name of the manufacturer of the manufacturer identified in ITM-7.
      Parameters:
        `strManufacturerName` - Used as Manufacturer Name.

    - #### setManufacturerName

          public void setManufacturerName(ST objManufacturerName)

      Set the Manufacturer Name. This field identifies the name of the manufacturer of the manufacturer identified in ITM-7.
      Parameters:
        `objManufacturerName` - Object of Manufacturer Name.

    - #### setManufacturerCatalogNumber

          public void setManufacturerCatalogNumber(java.lang.String strManufacturerCatalogNumber)

      Set the Manufacturer Catalog Number. This field contains the catalog assigned to the item by the manufacturer.
      Parameters:
        `strManufacturerCatalogNumber` - Used as Manufacturer Catalog Number.

    - #### setManufacturerCatalogNumber

          public void setManufacturerCatalogNumber(ST objManufacturerCatalogNumber)

      Set the Manufacturer Catalog Number. This field contains the catalog assigned to the item by the manufacturer.
      Parameters:
        `objManufacturerCatalogNumber` - Object of Manufacturer Catalog Number.

    - #### setManufacturerLabelerIdentificationCode

          public void setManufacturerLabelerIdentificationCode(java.lang.String strIdentifier,
                                                      java.lang.String strText,
                                                      java.lang.String strNameOfCodingSystem,
                                                      java.lang.String strAlternateIdentifier,
                                                      java.lang.String strAlternateText,
                                                      java.lang.String strNameOfAlternateCodingSystem,
                                                      java.lang.String strCodingSystemVersionID,
                                                      java.lang.String strAlternateCodingSystemVersionId,
                                                      java.lang.String strOriginalText,
                                                      java.lang.String strSecondAlternateIdentifier,
                                                      java.lang.String strSecondAlternateText,
                                                      java.lang.String strNameofSecondAlternateCodingSystem,
                                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                                      java.lang.String strCodingSystemOID,
                                                      java.lang.String strValueSetOID,
                                                      java.lang.String strValueSetVersionID,
                                                      java.lang.String strAlternateCodingSystemOID,
                                                      java.lang.String strAlternateValueSetOID,
                                                      java.lang.String strAlternateValueSetVersionID,
                                                      java.lang.String strSecondAlternateCodingSystemOID,
                                                      java.lang.String strSecondAlternateValueSetOID,
                                                      java.lang.String strSecondAlternateValueSetVersionID)

      Set the Manufacturer Labeler Identification Code. This field contains the Labeler Identification Code (LIC) number assigned to the manufacturer that represents the manufacturer of the item.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setManufacturerLabelerIdentificationCode

          public void setManufacturerLabelerIdentificationCode(CWE objManufacturerLabelerIdentificationCode)

      Set the Manufacturer Labeler Identification Code. This field contains the Labeler Identification Code (LIC) number assigned to the manufacturer that represents the manufacturer of the item.
      Parameters:
        `objManufacturerLabelerIdentificationCode` - Object of Manufacturer Labeler Identification Code.

    - #### setPatientChargeableIndicator

          public void setPatientChargeableIndicator(java.lang.String strIdentifier,
                                           java.lang.String strText,
                                           java.lang.String strNameOfCodingSystem,
                                           java.lang.String strAlternateIdentifier,
                                           java.lang.String strAlternateText,
                                           java.lang.String strNameOfAlternateCodingSystem,
                                           java.lang.String strCodingSystemVersionID,
                                           java.lang.String strAlternateCodingSystemVersionID,
                                           java.lang.String strOriginalText,
                                           java.lang.String strSecondAlternateIdentifier,
                                           java.lang.String strSecondAlternateText,
                                           java.lang.String strNameOfSecondAltenateCodingSystem,
                                           java.lang.String strSecondAlternateCodingSystemVersionID,
                                           java.lang.String strCodingSystemOID,
                                           java.lang.String strValueSetOID,
                                           java.lang.String strValueSetVersionID,
                                           java.lang.String strAlternateCodingSystemOID,
                                           java.lang.String strAlternateValueSetOID,
                                           java.lang.String strAlternateValueSetVersionID,
                                           java.lang.String strSecondAlternateCodingSystemOID,
                                           java.lang.String strSecondAlternateValueSetOID,
                                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Patient Chargeable Indicator. This field indicates whether the item is patient chargeable.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setPatientChargeableIndicator

          public void setPatientChargeableIndicator(CNE objPatientChargeableIndicator)

      Set the Patient Chargeable Indicator. This field indicates whether the item is patient chargeable.
      Parameters:
        `objPatientChargeableIndicator` - Object of Subject to Patient Chargeable Indicator.

    - #### setTransactionCode

          public void setTransactionCode(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Transaction Code. This field contains the code assigned by the institution for the purpose of uniquely identifying a patient billing code specific for a supply item.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setTransactionCode

          public void setTransactionCode(CWE objTransactionCode)

      Set the Transaction Code. This field contains the code assigned by the institution for the purpose of uniquely identifying a patient billing code specific for a supply item.
      Parameters:
        `objTransactionCode` - Object of Transaction Code.

    - #### setTransactionAmountUnit

          public void setTransactionAmountUnit(MO objPrice,
                                      java.lang.String strPriceType,
                                      java.lang.String strFromValue,
                                      java.lang.String strToValue,
                                      CWE objRangeUnits,
                                      java.lang.String strRangeType)

      Set the Transaction amount - unit. This field contains the dollar amount charged to patients for this item.
      Parameters:
        `objPrice` - Specifies an amount of money and the denomination in which it is expressed.
        `strPriceType` - Specifies a coded value, data type ID.[Refer to HL7 Table 0205] Suggested Values AP,DC,IC,PF,TF,TP,UP.
        `strFromValue` - Specifies the "range" along with strToValue.
        `strToValue` - Specifies the "range" along with strFromValue.
        `objRangeUnits` - Specifies This describes the units associated with the range, e.g., seconds, minutes
        `strRangeType` - Refer to HL7 Table 0298 - CP range type for valid values.(P,F)

    - #### setTransactionAmountUnit

          public void setTransactionAmountUnit(CP objTransactionAmountUnit)

      Set the Transaction amount - unit. This field contains the dollar amount charged to patients for this item.
      Parameters:
        `objunitCost` -

    - #### setStockedItemIndicator

          public void setStockedItemIndicator(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionID,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameOfSecondAltenateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Stocked Item Indicator. This field contains an indicator signifying whether the item is stocked in any inventory location in the healthcare organization.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setStockedItemIndicator

          public void setStockedItemIndicator(CNE objStockedItemIndicator)

      Set the Stocked Item Indicator. This field contains an indicator signifying whether the item is stocked in any inventory location in the healthcare organization.
      Parameters:
        `objStockedItemIndicator` - Object of Stocked Item Indicator.

    - #### setSupplyRiskCodes

          public void setSupplyRiskCodes(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Supply Risk Codes. This field contains a code that identifies any known or suspected hazard associated with this material item.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setSupplyRiskCodes

          public void setSupplyRiskCodes(CWE objSupplyRiskCodes)

      Set the Supply Risk Codes. This field contains a code that identifies any known or suspected hazard associated with this material item.
      Parameters:
        `objSupplyRiskCodes` - Object of Supply Risk Codes.

    - #### addApprovingRegulatoryAgency

          public void addApprovingRegulatoryAgency(java.lang.String strOrganizationName,
                                          CWE objOrganizationNameTypeCode,
                                          HD objAssigningAuthority,
                                          java.lang.String strIdentifierTypeCode,
                                          HD objAssigningFacility,
                                          java.lang.String strNameRepresentationCode,
                                          java.lang.String strOrganizationIdentifier)

      Set the Approving Regulatory Agency. This field contains a code indicating the regulatory agency the item has been approved by, such as the FDA or AMA.
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.5.

    - #### addApprovingRegulatoryAgency

          public void addApprovingRegulatoryAgency(XON objApprovingRegulatoryAgency)

      Sets the Approving Regulatory Agency. This field contains a code indicating the regulatory agency the item has been approved by, such as the FDA or AMA.
      Parameters:
        `objApprovingRegulatoryAgency` - object of Approving Regulatory Agency.

    - #### setApprovingRegulatoryAgency

          public void setApprovingRegulatoryAgency(ISingleCollection<XON> objApprovingRegulatoryAgencyList)

      Set the Approving Regulatory Agency list. This field contains a code indicating the regulatory agency the item has been approved by, such as the FDA or AMA.
      Parameters:
        `objApprovingRegulatoryAgencyList` - List of Approving Regulatory Agency.

    - #### setLatexIndicator

          public void setLatexIndicator(java.lang.String strIdentifier,
                               java.lang.String strText,
                               java.lang.String strNameOfCodingSystem,
                               java.lang.String strAlternateIdentifier,
                               java.lang.String strAlternateText,
                               java.lang.String strNameOfAlternateCodingSystem,
                               java.lang.String strCodingSystemVersionID,
                               java.lang.String strAlternateCodingSystemVersionID,
                               java.lang.String strOriginalText,
                               java.lang.String strSecondAlternateIdentifier,
                               java.lang.String strSecondAlternateText,
                               java.lang.String strNameOfSecondAltenateCodingSystem,
                               java.lang.String strSecondAlternateCodingSystemVersionID,
                               java.lang.String strCodingSystemOID,
                               java.lang.String strValueSetOID,
                               java.lang.String strValueSetVersionID,
                               java.lang.String strAlternateCodingSystemOID,
                               java.lang.String strAlternateValueSetOID,
                               java.lang.String strAlternateValueSetVersionID,
                               java.lang.String strSecondAlternateCodingSystemOID,
                               java.lang.String strSecondAlternateValueSetOID,
                               java.lang.String strSecondAlternateValueSetVersionID)

      Set the Latex Indicator. This field contains an indicator signifying whether the item is made of or contains latex.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setLatexIndicator

          public void setLatexIndicator(CNE objLatexIndicator)

      Set the Latex Indicator. This field contains an indicator signifying whether the item is made of or contains latex.
      Parameters:
        `objLatexIndicator` - Object of Latex Indicator.

    - #### addRulingAct

          public void addRulingAct(java.lang.String strIdentifier,
                          java.lang.String strText,
                          java.lang.String strNameOfCodingSystem,
                          java.lang.String strAlternateIdentifier,
                          java.lang.String strAlternateText,
                          java.lang.String strNameOfAlternateCodingSystem,
                          java.lang.String strCodingSystemVersionID,
                          java.lang.String strAlternateCodingSystemVersionId,
                          java.lang.String strOriginalText,
                          java.lang.String strSecondAlternateIdentifier,
                          java.lang.String strSecondAlternateText,
                          java.lang.String strNameofSecondAlternateCodingSystem,
                          java.lang.String strSecondAlternateCodingSystemVersionID,
                          java.lang.String strCodingSystemOID,
                          java.lang.String strValueSetOID,
                          java.lang.String strValueSetVersionID,
                          java.lang.String strAlternateCodingSystemOID,
                          java.lang.String strAlternateValueSetOID,
                          java.lang.String strAlternateValueSetVersionID,
                          java.lang.String strSecondAlternateCodingSystemOID,
                          java.lang.String strSecondAlternateValueSetOID,
                          java.lang.String strSecondAlternateValueSetVersionID)

      Set the Ruling Act. This field contains a code indicating an act containing a rule that the item is legally required to be included in notification reporting.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addRulingAct

          public void addRulingAct(CWE objRulingAct)

      Set the Ruling Act. This field contains a code indicating an act containing a rule that the item is legally required to be included in notification reporting.
      Parameters:
        `objRulingAct` -

    - #### setRulingAct

          public void setRulingAct(ISingleCollection<CWE> objRulingActList)

      Set the Ruling Act list. This field contains a code indicating an act containing a rule that the item is legally required to be included in notification reporting.
      Parameters:
        `objRulingActList` - List of Ruling Act list

    - #### setItemNaturalAccountCode

          public void setItemNaturalAccountCode(java.lang.String strIdentifier,
                                       java.lang.String strText,
                                       java.lang.String strNameOfCodingSystem,
                                       java.lang.String strAlternateIdentifier,
                                       java.lang.String strAlternateText,
                                       java.lang.String strNameOfAlternateCodingSystem,
                                       java.lang.String strCodingSystemVersionID,
                                       java.lang.String strAlternateCodingSystemVersionId,
                                       java.lang.String strOriginalText,
                                       java.lang.String strSecondAlternateIdentifier,
                                       java.lang.String strSecondAlternateText,
                                       java.lang.String strNameofSecondAlternateCodingSystem,
                                       java.lang.String strSecondAlternateCodingSystemVersionID,
                                       java.lang.String strCodingSystemOID,
                                       java.lang.String strValueSetOID,
                                       java.lang.String strValueSetVersionID,
                                       java.lang.String strAlternateCodingSystemOID,
                                       java.lang.String strAlternateValueSetOID,
                                       java.lang.String strAlternateValueSetVersionID,
                                       java.lang.String strSecondAlternateCodingSystemOID,
                                       java.lang.String strSecondAlternateValueSetOID,
                                       java.lang.String strSecondAlternateValueSetVersionID)

      Set the Item Natural Account Code. This field contains the expense/natural account number from the general ledger chart of accounts associated with the item.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setItemNaturalAccountCode

          public void setItemNaturalAccountCode(CWE objItemNaturalAccountCode)

      Set the Item Natural Account Code. This field contains the expense/natural account number from the general ledger chart of accounts associated with the item.
      Parameters:
        `objItemNaturalAccountCode` - Object of Item Natural Account Code.

    - #### setApprovedToBuyQuantity

          public void setApprovedToBuyQuantity(java.lang.String strApprovedToBuyQuantity)

      Set the Approved To Buy Quantity. This field contains the quantity of this item that can be purchased within a user-defined time frame (e.g., one year) at the order unit of measure.
      Parameters:
        `strApprovedToBuyQuantity` - Specifies Approved To Buy Quantity

    - #### setApprovedToBuyQuantity

          public void setApprovedToBuyQuantity(NM objApprovedToBuyQuantity)

      Set the Approved To Buy Quantity. This field contains the quantity of this item that can be purchased within a user-defined time frame (e.g., one year) at the order unit of measure.
      Parameters:
        `objApprovedToBuyQuantity` - Specifies Approved To Buy Quantity

    - #### setApprovedToBuyPrice

          public void setApprovedToBuyPrice(java.lang.String strQuantity,
                                   java.lang.String strDenomination)
                                     throws InvalidDataTypeException

      Set the Approved To Buy Price. This field contains the dollar limit of this item that you can purchase within a user-defined time frame (e.g., one year).
      Parameters:
        `strQuantity` - Specifies the Quantity.
        `strDenomination` - Specifies the denomination in which the quantity is expressed.
      Throws:
        `InvalidDataTypeException`

    - #### setApprovedToBuyPrice

          public void setApprovedToBuyPrice(MO objApprovedToBuyPrice)

      Set the Approved To Buy Price. This field contains the dollar limit of this item that you can purchase within a user-defined time frame (e.g., one year).
      Parameters:
        `objApprovedToBuyPrice` - Object of Approved To Buy Price.

    - #### setTaxableItemIndicator

          public void setTaxableItemIndicator(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionID,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameOfSecondAltenateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Taxable Item Indicator. This field contains an indicator signifying whether the item is taxable when purchasing the item or issuing the item to patients.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setTaxableItemIndicator

          public void setTaxableItemIndicator(CNE objTaxableItemIndicator)

      Set the Taxable Item Indicator. This field contains an indicator signifying whether the item is taxable when purchasing the item or issuing the item to patients.
      Parameters:
        `objTaxableItemIndicator` - Object of Taxable Item Indicator.

    - #### setFreightChargeIndicator

          public void setFreightChargeIndicator(java.lang.String strIdentifier,
                                       java.lang.String strText,
                                       java.lang.String strNameOfCodingSystem,
                                       java.lang.String strAlternateIdentifier,
                                       java.lang.String strAlternateText,
                                       java.lang.String strNameOfAlternateCodingSystem,
                                       java.lang.String strCodingSystemVersionID,
                                       java.lang.String strAlternateCodingSystemVersionID,
                                       java.lang.String strOriginalText,
                                       java.lang.String strSecondAlternateIdentifier,
                                       java.lang.String strSecondAlternateText,
                                       java.lang.String strNameOfSecondAltenateCodingSystem,
                                       java.lang.String strSecondAlternateCodingSystemVersionID,
                                       java.lang.String strCodingSystemOID,
                                       java.lang.String strValueSetOID,
                                       java.lang.String strValueSetVersionID,
                                       java.lang.String strAlternateCodingSystemOID,
                                       java.lang.String strAlternateValueSetOID,
                                       java.lang.String strAlternateValueSetVersionID,
                                       java.lang.String strSecondAlternateCodingSystemOID,
                                       java.lang.String strSecondAlternateValueSetOID,
                                       java.lang.String strSecondAlternateValueSetVersionID)

      Set the Freight Charge Indicator. This field contains an indicator signifying whether freight is an allowable charge to be allocated to the line of an invoice containing the item.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setFreightChargeIndicator

          public void setFreightChargeIndicator(CNE objFreightChargeIndicator)

      Set the Freight Charge Indicator. This field contains an indicator signifying whether freight is an allowable charge to be allocated to the line of an invoice containing the item.
      Parameters:
        `objFreightChargeIndicator` - Object of Freight Charge Indicator.

    - #### setItemSetIndicator

          public void setItemSetIndicator(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionID,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameOfSecondAltenateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Item Set Indicator. This field contains an indicator signifying whether the item is an 'item set' rather than an individual item.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setItemSetIndicator

          public void setItemSetIndicator(CNE objItemSetIndicator)

      Set the Item Set Indicator. This field contains an indicator signifying whether the item is an 'item set' rather than an individual item.
      Parameters:
        `objItemSetIndicator` - Object of Item Set Indicator.

    - #### setItemSetIdentifier

          public void setItemSetIdentifier(java.lang.String strEntityIdentifier,
                                  java.lang.String strNamespaceId,
                                  java.lang.String strUniversalId,
                                  java.lang.String strUniversalIdType)

      Set the Item Set Identifier. The Item Identifier is a unique code assigned to the material item by the Item Inventory Master catalog software application to identify the item.
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setItemSetIdentifier

          public void setItemSetIdentifier(EI objItemSetIdentifier)

      Set the Item Set Identifier. The Item Identifier is a unique code assigned to the material item by the Item Inventory Master catalog software application to identify the item.
      Parameters:
        `objItemSetIdentifier` - Object of Item Set Identifier

    - #### setTrackDepartmentUsageIndicator

          public void setTrackDepartmentUsageIndicator(java.lang.String strIdentifier,
                                              java.lang.String strText,
                                              java.lang.String strNameOfCodingSystem,
                                              java.lang.String strAlternateIdentifier,
                                              java.lang.String strAlternateText,
                                              java.lang.String strNameOfAlternateCodingSystem,
                                              java.lang.String strCodingSystemVersionID,
                                              java.lang.String strAlternateCodingSystemVersionID,
                                              java.lang.String strOriginalText,
                                              java.lang.String strSecondAlternateIdentifier,
                                              java.lang.String strSecondAlternateText,
                                              java.lang.String strNameOfSecondAltenateCodingSystem,
                                              java.lang.String strSecondAlternateCodingSystemVersionID,
                                              java.lang.String strCodingSystemOID,
                                              java.lang.String strValueSetOID,
                                              java.lang.String strValueSetVersionID,
                                              java.lang.String strAlternateCodingSystemOID,
                                              java.lang.String strAlternateValueSetOID,
                                              java.lang.String strAlternateValueSetVersionID,
                                              java.lang.String strSecondAlternateCodingSystemOID,
                                              java.lang.String strSecondAlternateValueSetOID,
                                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Track Department Usage Indicator. This field contains an indicator signifying whether the usage figures are tracked for this item by department.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setTrackDepartmentUsageIndicator

          public void setTrackDepartmentUsageIndicator(CNE objTrackDepartmentUsageIndicator)

      Set the Track Department Usage Indicator. This field contains an indicator signifying whether the usage figures are tracked for this item by department.
      Parameters:
        `objTrackDepartmentUsageIndicator` - Object of Track Department Usage Indicator.

    - #### setProcedureCode

          public void setProcedureCode(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionID,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameOfSecondAltenateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Procedure Code. This field contains a unique identifier assigned to the service item, if any, associated with the charge.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setProcedureCode

          public void setProcedureCode(CNE objprocedureCode)

      Set the Procedure Code. This field contains a unique identifier assigned to the service item, if any, associated with the charge.
      Parameters:
        `objprocedureCode` - Object of Procedure Code.

    - #### addProcedureCodeModifier

          public void addProcedureCodeModifier(java.lang.String strIdentifier,
                                      java.lang.String strText,
                                      java.lang.String strNameOfCodingSystem,
                                      java.lang.String strAlternateIdentifier,
                                      java.lang.String strAlternateText,
                                      java.lang.String strNameOfAlternateCodingSystem,
                                      java.lang.String strCodingSystemVersionID,
                                      java.lang.String strAlternateCodingSystemVersionID,
                                      java.lang.String strOriginalText,
                                      java.lang.String strSecondAlternateIdentifier,
                                      java.lang.String strSecondAlternateText,
                                      java.lang.String strNameOfSecondAltenateCodingSystem,
                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                      java.lang.String strCodingSystemOID,
                                      java.lang.String strValueSetOID,
                                      java.lang.String strValueSetVersionID,
                                      java.lang.String strAlternateCodingSystemOID,
                                      java.lang.String strAlternateValueSetOID,
                                      java.lang.String strAlternateValueSetVersionID,
                                      java.lang.String strSecondAlternateCodingSystemOID,
                                      java.lang.String strSecondAlternateValueSetOID,
                                      java.lang.String strSecondAlternateValueSetVersionID)

      Adds the Procedure Code Modifier. This field contains the procedure code modifier to the procedure code reported in ITM-27, Procedure Code, when applicable.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### addProcedureCodeModifier

          public void addProcedureCodeModifier(CNE objProcedureCodeModifier)

      Add the Procedure Code Modifier. This field contains the procedure code modifier to the procedure code reported in ITM-27, Procedure Code, when applicable.
      Parameters:
        `objProcedureCodeModifier` - Object of Procedure Code Modifier.

    - #### setProcedureCodeModifier

          public void setProcedureCodeModifier(ISingleCollection<CNE> objProcedureCodeModifierList)

      Set the Procedure Code Modifier. This field contains the procedure code modifier to the procedure code reported in ITM-27, Procedure Code, when applicable.
      Parameters:
        `objProcedureCodeModifierList` - List of Procedure Code Modifier.

    - #### setSpecialHandlingCode

          public void setSpecialHandlingCode(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionId,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Set the Special Handling Code. This field contains a special handling code to describe special handling considerations for this item.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setSpecialHandlingCode

          public void setSpecialHandlingCode(CWE objSpecialHandlingCode)

      Set the Special Handling Code. This field contains a special handling code to describe special handling considerations for this item.
      Parameters:
        `objSpecialHandlingCode` - Object of Special Handling Code

    - #### setHazardousIndicator

          public void setHazardousIndicator(java.lang.String strIdentifier,
                                   java.lang.String strText,
                                   java.lang.String strNameOfCodingSystem,
                                   java.lang.String strAlternateIdentifier,
                                   java.lang.String strAlternateText,
                                   java.lang.String strNameOfAlternateCodingSystem,
                                   java.lang.String strCodingSystemVersionID,
                                   java.lang.String strAlternateCodingSystemVersionID,
                                   java.lang.String strOriginalText,
                                   java.lang.String strSecondAlternateIdentifier,
                                   java.lang.String strSecondAlternateText,
                                   java.lang.String strNameOfSecondAltenateCodingSystem,
                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                   java.lang.String strCodingSystemOID,
                                   java.lang.String strValueSetOID,
                                   java.lang.String strValueSetVersionID,
                                   java.lang.String strAlternateCodingSystemOID,
                                   java.lang.String strAlternateValueSetOID,
                                   java.lang.String strAlternateValueSetVersionID,
                                   java.lang.String strSecondAlternateCodingSystemOID,
                                   java.lang.String strSecondAlternateValueSetOID,
                                   java.lang.String strSecondAlternateValueSetVersionID)

      Set the Hazardous Indicator. This field contains an indicator signifying whether the item contains hazardous material or not.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setHazardousIndicator

          public void setHazardousIndicator(CNE objHazardousIndicator)

      Set the Hazardous Indicator. This field contains an indicator signifying whether the item contains hazardous material or not.
      Parameters:
        `objHazardousIndicator` - Object of Hazardous Indicator.

    - #### setSterileIndicator

          public void setSterileIndicator(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionID,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameOfSecondAltenateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Sterile Indicator. This field contains an indicator signifying whether the item is sterile or not.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setSterileIndicator

          public void setSterileIndicator(CNE objSterileIndicator)

      Set the Sterile Indicator. This field contains an indicator signifying whether the item is sterile or not.
      Parameters:
        `objSterileIndicator` - Object of Sterile Indicator.

    - #### setMaterialDataSafetySheetNumber

          public void setMaterialDataSafetySheetNumber(java.lang.String strEntityIdentifier,
                                              java.lang.String strNamespaceId,
                                              java.lang.String strUniversalId,
                                              java.lang.String strUniversalIdType)

      Set the Material Data Safety Sheet Number. The Material Safety Data Sheet Number is the manufacturer's identification number for the Material Safety Data Sheet (if one exists for the item). A Material Safety Data Sheet contains the characteristics, protected measures, and regulations to follow when handling the item.
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setMaterialDataSafetySheetNumber

          public void setMaterialDataSafetySheetNumber(EI objMaterialDataSafetySheetNumber)

      Set the Material Data Safety Sheet Number. The Material Safety Data Sheet Number is the manufacturer's identification number for the Material Safety Data Sheet (if one exists for the item). A Material Safety Data Sheet contains the characteristics, protected measures, and regulations to follow when handling the item.
      Parameters:
        `objMaterialDataSafetySheetNumber` - Object of Material Data Safety Sheet Number

    - #### setUnitedNationsStandardProductsAndServicesCode

          public void setUnitedNationsStandardProductsAndServicesCode(java.lang.String strIdentifier,
                                                             java.lang.String strText,
                                                             java.lang.String strNameOfCodingSystem,
                                                             java.lang.String strAlternateIdentifier,
                                                             java.lang.String strAlternateText,
                                                             java.lang.String strNameOfAlternateCodingSystem,
                                                             java.lang.String strCodingSystemVersionID,
                                                             java.lang.String strAlternateCodingSystemVersionId,
                                                             java.lang.String strOriginalText,
                                                             java.lang.String strSecondAlternateIdentifier,
                                                             java.lang.String strSecondAlternateText,
                                                             java.lang.String strNameofSecondAlternateCodingSystem,
                                                             java.lang.String strSecondAlternateCodingSystemVersionID,
                                                             java.lang.String strCodingSystemOID,
                                                             java.lang.String strValueSetOID,
                                                             java.lang.String strValueSetVersionID,
                                                             java.lang.String strAlternateCodingSystemOID,
                                                             java.lang.String strAlternateValueSetOID,
                                                             java.lang.String strAlternateValueSetVersionID,
                                                             java.lang.String strSecondAlternateCodingSystemOID,
                                                             java.lang.String strSecondAlternateValueSetOID,
                                                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the United Nations Standard Products and Services Code (UNSPSC). The United Nations Standard Products and Services Code is the category code assigned by the UNSPSC organization to the item.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setUnitedNationsStandardProductsAndServicesCode

          public void setUnitedNationsStandardProductsAndServicesCode(CWE objUnitedNationsStandardProductsAndServicesCode)

      Set the United Nations Standard Products and Services Code (UNSPSC). The United Nations Standard Products and Services Code is the category code assigned by the UNSPSC organization to the item.
      Parameters:
        `objUnitedNationsStandardProductsAndServicesCode` - Object of United Nations Standard Products and Services Code (UNSPSC)

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - If Segment Validation fails